> For the complete documentation index, see [llms.txt](https://with-you.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://with-you.gitbook.io/api-documentation/post.md).

# POST

## 포스팅 올리기

<mark style="color:green;">`POST`</mark> `/api/v1/posting/`

RequestHeader

{ "Authorization":"Bearer token" }

RequestBody

{&#x20;

&#x20;   "logId":1L,

&#x20;    “text”: “재밌었던 첫째날 여행”,

&#x20;    “media”: \[&#x20;

&#x20;         { "url":"http//\~.jpg" }

&#x20;     ]&#x20;

}

{% tabs %}
{% tab title="400: Bad Request 존재하지 않은 멤버" %}

{% endtab %}

{% tab title="400: Bad Request 존재하지 않는 트레블 로그" %}

{% endtab %}

{% tab title="201: Created POST\_COMPLETE" %}

{% endtab %}
{% endtabs %}

## 포스팅 보기

<mark style="color:blue;">`GET`</mark> `/api/v1/posting/`

{\
&#x20;    “code”:2002,&#x20;

&#x20;    “message”:”POST\_RESULT”,&#x20;

&#x20;    “data”:\[&#x20;

&#x20;         { "title":"오사카여행",&#x20;

&#x20;         "date":"2023.11.16 \~ 2023.11.20",&#x20;

&#x20;         “media”: \[

&#x20;               { "url":"http//\~.jpg" }&#x20;

&#x20;         ] }&#x20;

&#x20;    ]&#x20;

}

#### Path Parameters

| Name                                    | Type | Description |
| --------------------------------------- | ---- | ----------- |
| logId<mark style="color:red;">\*</mark> | 1L   |             |

## 포스팅 상세보기

<mark style="color:blue;">`GET`</mark> `/api/v1/posting/`

Responsebody

{

&#x20;     “code”:2003,&#x20;

&#x20;    “message”:”POST\_DETAIL\_RESULT”,&#x20;

&#x20;    “data”:\[&#x20;

&#x20;         "title":"오사카여행",&#x20;

&#x20;         "date":"2023.11.16 2023.11.20",

&#x20;          "nickName":"hyomin",&#x20;

&#x20;         "memberMediaUrl":"http//.jpg",

&#x20;          “media”: \[&#x20;

&#x20;              { "url":"http//.jpg" }

&#x20;          ],

&#x20;          "text": "재밌었던 첫째날 여행"&#x20;

&#x20;    ]

&#x20;}

#### Path Parameters

| Name                                     | Type | Description |
| ---------------------------------------- | ---- | ----------- |
| logId<mark style="color:red;">\*</mark>  | 1L   |             |
| postId<mark style="color:red;">\*</mark> | 1L   |             |

## 포스팅 삭제

<mark style="color:red;">`DELETE`</mark> `/api/v1/posting/`

RequestHeader

{ "Authorization":"Bearer token" }

#### Path Parameters

| Name   | Type | Description |
| ------ | ---- | ----------- |
| postId | 1L   |             |

{% tabs %}
{% tab title="400: Bad Request 존재하지 않는 포스팅" %}

{% endtab %}
{% endtabs %}

## 포스팅 수정

<mark style="color:purple;">`PATCH`</mark> `/api/v1/posting/`

RequestHeader

{ "Authorization":"Bearer token" }

RequestBody

{&#x20;

&#x20;    "id":1L,

&#x20;     "text":"즐거운 여행",&#x20;

&#x20;    "picture": \[

&#x20;          { "url":".jpg" },&#x20;

&#x20;         { "url":".jpg" }&#x20;

&#x20;    ]&#x20;

}

{% tabs %}
{% tab title="400: Bad Request 존재하지 않은 포스팅" %}

{% endtab %}
{% endtabs %}

## 포스팅 댓글쓰기

<mark style="color:green;">`POST`</mark> `/api/v1/posting/comment/`

RequestHeader

{ "Authorization":"Bearer token" }

RequestBody

{&#x20;

&#x20;    "logId":1L,

&#x20;     "postId":1L,&#x20;

&#x20;    “text”: “이때 정말 웃겼어!”

&#x20;}

{% tabs %}
{% tab title="201: Created COMMENT\_COMPLETE" %}

{% endtab %}

{% tab title="400: Bad Request  “message”:”존재하지 않은 멤버”" %}

{% endtab %}

{% tab title="400: Bad Request “message”:”존재하지 않는 트레블 로그”" %}

{% endtab %}

{% tab title="400: Bad Request “message”:”존재하지 않은 포스트”" %}

{% endtab %}
{% endtabs %}

## 포스팅 댓글보기

<mark style="color:blue;">`GET`</mark> `/api/v1/posting/comment/`

ResponseBody

{&#x20;

&#x20;    “code”:2012,&#x20;

&#x20;    “message”:”COMMENT\_RESULT”,

&#x20;     “data”:\[&#x20;

&#x20;    "comment":\[

&#x20;          { "nickName":"hyomin", "text":"이때 정말 웃겼어!" }

&#x20;          ]&#x20;

&#x20;    ]&#x20;

}

#### Path Parameters

| Name   | Type | Description |
| ------ | ---- | ----------- |
| logId  | 1L   |             |
| postId | 1L   |             |

## 포스팅 댓글 삭제

<mark style="color:red;">`DELETE`</mark> `/api/v1/comment/`

RequestHeader

{ "Authorization":"Bearer token" }

#### Path Parameters

| Name      | Type | Description |
| --------- | ---- | ----------- |
| commentId | 1L   |             |

{% tabs %}
{% tab title="400: Bad Request ”존재하지 않는 댓글”" %}

{% endtab %}
{% endtabs %}

## 포스팅 댓글 수정

<mark style="color:purple;">`PATCH`</mark> `/api/v1/comment/`

RequestHeader

{ "Authorization":"Bearer token" }

RequestBody

{&#x20;

&#x20;    "id":1L,

&#x20;     "text":"즐거운 여행"

&#x20;}

{% tabs %}
{% tab title="400: Bad Request 존재하지 않는 댓글" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://with-you.gitbook.io/api-documentation/post.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
